org.apache.myfaces.trinidad.util

## Class CollectionUtils.AccessHookMap<K,V>

- java.lang.Object
- - org.apache.myfaces.trinidad.util.CollectionUtils.DelegatingMap<K,V>
  - - org.apache.myfaces.trinidad.util.CollectionUtils.AccessHookMap<K,V>

- All Implemented Interfaces:
    Map<K,V>
  Direct Known Subclasses:
    CollectionUtils.ExternalAccessHookMap
  Enclosing class:
    CollectionUtils

      protected abstract static class CollectionUtils.AccessHookMap<K,V>
      extends CollectionUtils.DelegatingMap<K,V>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CollectionUtils.AccessHookMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `protected abstract void` | `clearNotify()`
    `Set<Map.Entry<K,V>>` | `entrySet()`
    `V` | `put(K key, V value)`
    `void` | `putAll(Map<? extends K,? extends V> m)`
    `V` | `remove(Object key)`
    `protected abstract void` | `removeNotify(Object key)`
    `protected abstract void` | `writeNotify(K key, V value)`

    - ### Methods inherited from class org.apache.myfaces.trinidad.util.CollectionUtils.DelegatingMap

      `containsKey, containsValue, equals, get, getDelegate, hashCode, isEmpty, keySet, size, values`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionUtils.AccessHookMap

          protected CollectionUtils.AccessHookMap()

  - ### Method Detail

    - #### writeNotify

          protected abstract void writeNotify(K key,
                         V value)

    - #### removeNotify

          protected abstract void removeNotify(Object key)

    - #### clearNotify

          protected abstract void clearNotify()

    - #### put

          public V put(K key,
              V value)

      Specified by:
        `put` in interface `Map<K,V>`
      Overrides:
        `put` in class `CollectionUtils.DelegatingMap<K,V>`

    - #### remove

          public V remove(Object key)

      Specified by:
        `remove` in interface `Map<K,V>`
      Overrides:
        `remove` in class `CollectionUtils.DelegatingMap<K,V>`

    - #### putAll

          public void putAll(Map<? extends K,? extends V> m)

      Specified by:
        `putAll` in interface `Map<K,V>`
      Overrides:
        `putAll` in class `CollectionUtils.DelegatingMap<K,V>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<K,V>`
      Overrides:
        `clear` in class `CollectionUtils.DelegatingMap<K,V>`

    - #### entrySet

          public Set<Map.Entry<K,V>> entrySet()

      Specified by:
        `entrySet` in interface `Map<K,V>`
      Overrides:
        `entrySet` in class `CollectionUtils.DelegatingMap<K,V>`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.